/*
 *  Licensed to the Apache Software Foundation (ASF) under one
 *  or more contributor license agreements.  See the NOTICE file
 *  distributed with this work for additional information
 *  regarding copyright ownership.  The ASF licenses this file
 *  to you under the Apache License, Version 2.0 (the
 *  "License"); you may not use this file except in compliance
 *  with the License.  You may obtain a copy of the License at
 * 
 *  http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 */
package org.apache.myfaces.commons.validator;

import javax.el.ValueExpression;
import javax.faces.context.FacesContext;


// Generated from class org.apache.myfaces.commons.validator.AbstractUrlValidator.
//
// WARNING: This file was automatically generated. Do not edit it directly,
//          or you will lose your changes.
public class UrlValidator extends org.apache.myfaces.commons.validator.AbstractUrlValidator
{

    static public final String VALIDATOR_ID = 
        "org.apache.myfaces.commons.validator.Url";

    public UrlValidator()
    {
    }


    // Property: schemes
    private String _schemes;
    
    public String getSchemes()
    {
        if (_schemes != null)
        {
            return _schemes;
        }
        ValueExpression vb = getValueExpression("schemes");
        if (vb != null)
        {
            return (String) vb.getValue(getFacesContext().getELContext());
        }
        return null;
    }

    public void setSchemes(String schemes)
    {
        this._schemes = schemes;
    }

    // Property: allow2Slashes
    private boolean _allow2Slashes;
    
    private boolean _allow2SlashesSet;
    
    public boolean isAllow2Slashes()
    {
        if (_allow2SlashesSet)
        {
            return _allow2Slashes;
        }
        ValueExpression vb = getValueExpression("allow2Slashes");
        if (vb != null)
        {
            return ((Boolean) vb.getValue(getFacesContext().getELContext())).booleanValue();
        }
        return false; 
    }

    public void setAllow2Slashes(boolean allow2Slashes)
    {
        this._allow2Slashes = allow2Slashes;
        this._allow2SlashesSet = true;        
    }

    // Property: allowAllSchemas
    private boolean _allowAllSchemas;
    
    private boolean _allowAllSchemasSet;
    
    public boolean isAllowAllSchemas()
    {
        if (_allowAllSchemasSet)
        {
            return _allowAllSchemas;
        }
        ValueExpression vb = getValueExpression("allowAllSchemas");
        if (vb != null)
        {
            return ((Boolean) vb.getValue(getFacesContext().getELContext())).booleanValue();
        }
        return false; 
    }

    public void setAllowAllSchemas(boolean allowAllSchemas)
    {
        this._allowAllSchemas = allowAllSchemas;
        this._allowAllSchemasSet = true;        
    }


    public Object saveState(FacesContext facesContext)
    {
        Object[] values = new Object[6];
        values[0] = super.saveState(facesContext);
        values[1] = _schemes;
        values[2] = Boolean.valueOf(_allow2Slashes);
        values[3] = Boolean.valueOf(_allow2SlashesSet);
        values[4] = Boolean.valueOf(_allowAllSchemas);
        values[5] = Boolean.valueOf(_allowAllSchemasSet);
        return values; 
    }

    public void restoreState(FacesContext facesContext, Object state)
    {
        Object[] values = (Object[])state;
        super.restoreState(facesContext,values[0]);
        _schemes = (java.lang.String) values[1];
        _allow2Slashes = ((Boolean) values[2]).booleanValue();
        _allow2SlashesSet = ((Boolean) values[3]).booleanValue();
        _allowAllSchemas = ((Boolean) values[4]).booleanValue();
        _allowAllSchemasSet = ((Boolean) values[5]).booleanValue();
    }
}
